/*
 * @(#)FunServlet.java	1.15 96/06/21
 * 
 * Copyright (c) 1995 Sun Microsystems, Inc.  All Rights reserved Permission to
 * use, copy, modify, and distribute this software and its documentation for
 * NON-COMMERCIAL purposes and without fee is hereby granted provided that
 * this copyright notice appears in all copies. Please refer to the file
 * copyright.html for further important copyright and licensing information.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
 * OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY
 * LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR
 * ITS DERIVATIVES.
 */

import java.io.*;
import java.servlet.*;
import sun.server.html.*;

/**
 * @author  Satish Dharmaraj
 */
public class FunServlet extends Servlet { 

   public void service(ServletRequest req, ServletResponse res)
     throws Exception
   {
     String line;
     res.setContentType("text/html");
     res.writeHeaders();
     OutputStream out = res.getOutputStream();
     DataInputStream in = new DataInputStream(req.getInputStream());

     String title = "Servlet Demo";
     HtmlPage page = new HtmlPage(title);
     
     //
     // Spew out html code that will make the browser load an applet.
     // Setup the codebase right. Will work only in Java enabled browsers
     //
     page.addText("<applet code=NervousApplet.class codebase=\"../applet/\" height=200 width=1800>");
     page.addText("<param name=text value=\"Jeeves can load Servlets!\">");
     page.addText("</applet>");
     page.write(out); 
   }
}
